/*************************************************** 
-June 21, 2012-
The goal of this program was to see if I could make MAX6675 and MAX31855 Type K Thermocouple 
Sensors work together in the same program.  This version, using the libraries you see here,
does work properly.  It readds 2 MAX6675's and 2 MAX31855's.
 This MAX31855K part of the code is from Adafruit.  See Below.  It was designed to read
 Type K Thermocouples using the MAX31855K chip on the Adasfruit breakout board mentioned below:
 
 Adafruit says:    
     This is an example for the Adafruit Thermocouple Sensor w/MAX31855K
Designed specifically to work with the Adafruit Thermocouple Sensor
  ----> https://www.adafruit.com/products/269
I have added the code that I have been using to read Type K Thermocouples using the MAX6675 chip.  
Honestly, I don't remember where it originated. And I have modified it a lot, anyways.

 ****************************************************/
//-----------Adding in Max6675 stuff for TC1 And TC2------------
#include "max6675.h"
//Thermocouple pin assignments
//TC1
int thermoDO_1 = 44;
int thermoCS_1 = 45;
int thermoCLK_1= 46;

//TC2
int thermoDO_2 = 47;
int thermoCS_2 = 48;
int thermoCLK_2= 49;

MAX6675 thermocouple_1(thermoCLK_1, thermoCS_1, thermoDO_1);
MAX6675 thermocouple_2(thermoCLK_2, thermoCS_2, thermoDO_2);

//------------------Adding in Max31855 stuff for TC3 and TC4 
#include "Adafruit_MAX31855.h"

//Thermocouple pin assignments
//TC3
int thermoDO_3 = 38;
int thermoCS_3 = 39;
int thermoCLK_3= 40;

//TC4
int thermoDO_4 = 41;
int thermoCS_4 = 42;
int thermoCLK_4= 43;

Adafruit_MAX31855 thermocouple_3(thermoCLK_3, thermoCS_3, thermoDO_3);
Adafruit_MAX31855 thermocouple_4(thermoCLK_4, thermoCS_4, thermoDO_4);






  
void setup() {
  Serial.begin(9600);
  
  Serial.println("Test of 2 Max6675's and 2 MAX31855's");
  // wait for MAX chip to stabilize
  delay(500);
}

void loop() {
 //Adding in Max6675 stuff for seraial printing of TC1 and TC2  
  Serial.print("T/C_1 = ");
   Serial.print(thermocouple_1.readFahrenheit());
   Serial.println(" F");
  Serial.print("T/C_2 = ");
   Serial.print(thermocouple_2.readFahrenheit());   
  Serial.println(" F");  
  
  // basic readout test,  T/C3 just print the current temp
   Serial.print("T/C_3 Internal Temp = ");
   Serial.println(thermocouple_3.readInternal());

   double c = thermocouple_3.readCelsius();
   if (isnan(c)) {
     Serial.println("Something wrong with thermocouple!");
   } else {
     Serial.print("C = "); 
     Serial.println(c);
   }
 
   
   
   
     Serial.print("F = ");
     Serial.println(thermocouple_3.readFarenheit());
     
 // basic readout test,  T/C4 just print the current temp
   Serial.print("T/C_4 Internal Temp = ");
   Serial.println(thermocouple_4.readInternal());

   c = thermocouple_4.readCelsius();
   if (isnan(c)) {
     Serial.println("Something wrong with thermocouple!");
   } else {
     Serial.print("C = "); 
     Serial.println(c);
   }
     Serial.print("F = ");
     Serial.println(thermocouple_4.readFarenheit());    
     
     
     
     
     
     
 
   delay(5000);
}
